Subject: bug#19882: 25.0.50; Backwards font-lock regex in m4-mode

From: Noam Postavsky <[email-masked]>
Date: Tue, 05 Jun 2018 20:09:12 -0400

tags 19882 fixed
close 19882 25.1
quit

Marcin Borkowski <[email-masked]> writes:

> On 2015-02-16, at 11:32, Rupert Swarbrick <[email-masked]> wrote:
>
>> In m4-mode.el, the last two sexps in m4-font-lock-keywords are the wrong
>> way around. As a result, if you are writing M4 code to be expanded in
>> "-P mode", so have things like
>>
>>   m4_define
>>
>> in the file, then the "define" part gets matched by the penultimate
>> regex, so m4_ doesn't get highlighted as part of a keyword.

> in case the problem is still there (I don't use m4, so it's difficult
> for me to verify it), would you be able to provide a patch now?

Seems to be fixed in 25 (I did M-x m4-mode and typed in m4_define).